
Katello - Bug #7296

"Empty reply from server"/httpd segfault when trying to consume content
Status: Closed   

Priority: Urgent   

Assignee: Mike McCune   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1135127 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/114

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1135127

Description of problem:

When user tries to consume content from a sat, an error is thrown from yum, and checking the httpd logs on sat server, httpd is

thrown a segfault every time client requests content.

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-6-20140828.0 :(

How reproducible:

Steps to Reproduce:

1.  sync rhel content to a satellite

2.  register system to satellite

3.  attempt to consume content on client

Actual results:

[Errno 14] PYCURL ERROR 52 - "Empty reply from server"

Trying other mirror.

Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhel-6-server-rpms. Please verify its path and try again

Every time content is requested, httpd throws an error akin to

[Thu Aug 28 22:10:38 2014] [notice] child pid 29705 exit signal Segmentation fault (11)

Expected results:

Content can be consumed.

Additional info:

Associated revisions

Revision 3d0ab8a0 - 08/28/2014 11:36 PM - Mike McCune

fixes #7296, BZ1135127 - switching to relying on apache for cert validation

Revision 2780de16 - 08/28/2014 11:46 PM - Mike McCune

Merge pull request #28 from mccun934/20140828-1849

fixes #7296, BZ1135127 - switching to relying on apache for cert validat...

Revision 0946e977 - 08/28/2014 11:49 PM - Brad Buckingham

fixes #7296, BZ1135127 - update pulp module
Revision 6efa4c39 - 08/29/2014 12:08 AM - Brad Buckingham

Merge pull request #114 from bbuckingham/issue-7296

fixes #7296, BZ1135127 - update pulp module

History

#1 - 08/28/2014 09:58 PM - Mike McCune

- Assignee set to Mike McCune

#2 - 08/28/2014 11:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello-installer/pull/114 added

- Pull request deleted ()

#3 - 08/29/2014 01:01 AM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|0946e97747d8bcd7c9d75a5dc6bd0a684a84d08c.

#4 - 08/29/2014 08:29 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13
